/*
  1. Use a more-intuitive box-sizing model.
*/
*,
*::before,
*::after {
  box-sizing: border-box;
}

/*
    2. Remove default margin
  */
* {
  margin: 0;
}

/*
    3. Allow percentage-based heights in the application
  */
html,
body {
  height: 100%;
  color: white;
  background-color: rgb(14, 14, 14);
  font-family: "Courier New";
}

/*
    Typographic tweaks!
    4. Add accessible line-height
    5. Improve text rendering
  */
body {
  line-height: 1.5;
  -webkit-font-smoothing: antialiased;
}

/*
    6. Improve media defaults
  */
img,
picture,
video,
canvas,
svg {
  display: block;
  max-width: 100%;
}

/*
    7. Remove built-in form typography styles
  */
input,
button,
textarea,
select {
  font: inherit;
}

/*
    8. Avoid text overflows
  */
p,
h1,
h2,
h3,
h4,
h5,
h6 {
  overflow-wrap: break-word;
}

/*
    9. Create a root stacking context
  */
#root,
#__next {
  isolation: isolate;
}

.top-ui-container{
  border: 2px solid magenta;
  display: grid;
  height: 85%;
  width: 100%;
  justify-items: center;
  grid-template-columns: 1fr 1fr;

  
}

.game-text-container{
  border: 2px solid cyan;
  height: 100%;
  width: 100%;
  justify-items: center;
  justify-content: center;
  white-space: pre-wrap;
}

.game-text-heading{
  height: 6%;
  width: 100%;
  justify-content: center;
  justify-items: center;
  border: 2px solid orangered;
}

.game-text-text {
  border: 2px solid green;
  height: 94%;
  width: 100%;
}

.ui-container {
  width: 100%;
  height: 10%;
  display: grid;
  justify-items: center;
  align-items: flex-end;
  
  border: 2px solid rgb(10, 150, 0);
}

.map-painter-container{
  display: grid;
  justify-items: center;
  width: 100%;
  height: 85%;
}

.map-container{
  display: grid;
  justify-items: center;
  width: 100%;
  height: 100%;
  border: 2px solid rgb(246, 255, 0);
}

.map-cont-cont {
  border: 2px solid orange;
  
}

.map-items {
  display: grid;
  justify-content: center;
  border: 1px solid rgb(55, 0, 255);
}

#map-header {
  height: 6%;
}

#map-img {
  display: grid;
  height: 94%;
  width: fit-content;
  border: 1px solid rgb(255, 0, 0);
}

.grid-container {
  display: grid;
  width: 25%;
  height: fit-content;
  grid-template-columns: auto auto auto;
  column-gap: 1%;
  row-gap: 1%;
  border: 5px solid rgb(140, 121, 0);
}

.grid-item {
  text-align: center;
  border: 1px solid rgb(183, 100, 255);
}

button {
  width: 100%;
  height: 100%;

  font-weight: bold;
  background-color: rgb(232, 232, 232);
}
